SDL_HINT_VIDEO_X11_EXTERNAL_WINDOW_INPUT(3)

NAME
SDL_HINT_VIDEO_X11_EXTERNAL_WINDOW_INPUT - A variable controlling whether SDL should call XSelectInput() to enable input events on X11 windows wrapped by SDL windows.

SYNOPSIS
#include <SDL3/SDL_hints.h>

#define SDL_HINT_VIDEO_X11_EXTERNAL_WINDOW_INPUT "SDL_VIDEO_X11_EXTERNAL_WINDOW_INPUT"

DESCRIPTION
The variable can be set to the following values:

• "0": Don't call XSelectInput(), assuming the native window code has done it already.

• "1": Call XSelectInput() to enable input events. (default)

This hint should be set before creating a window.

AVAILABILITY
This hint is available since SDL 3.2.10.